[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[6433] dir-entry-to-subdir.sh test
From: |
Gavin D. Smith |
Subject: |
[6433] dir-entry-to-subdir.sh test |
Date: |
Wed, 15 Jul 2015 12:13:24 +0000 |
Revision: 6433
http://svn.sv.gnu.org/viewvc/?view=rev&root=texinfo&revision=6433
Author: gavin
Date: 2015-07-15 12:13:23 +0000 (Wed, 15 Jul 2015)
Log Message:
-----------
dir-entry-to-subdir.sh test
Added Paths:
-----------
trunk/info/t/dir-entry-to-subdir.sh
Added: trunk/info/t/dir-entry-to-subdir.sh
===================================================================
--- trunk/info/t/dir-entry-to-subdir.sh (rev 0)
+++ trunk/info/t/dir-entry-to-subdir.sh 2015-07-15 12:13:23 UTC (rev 6433)
@@ -0,0 +1,30 @@
+#!/bin/sh
+# Copyright (C) 2015 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+srcdir=${srcdir:-.}
+. $srcdir/t/Init-test.inc
+. $t/Init-inter.inc
+
+# Follow a dir entry to a file in a subdirectory of infodir
+run_ginfo -f subdir
+printf 'Dq' >$PTY_TYPE
+. $t/Timeout-test.inc
+
+cat $GINFO_OUTPUT
+grep '^File: file-in-subdir.info' $GINFO_OUTPUT
+RETVAL=$?
+
+cleanup
Property changes on: trunk/info/t/dir-entry-to-subdir.sh
___________________________________________________________________
Added: svn:executable
+ *
[Prev in Thread] |
Current Thread |
[Next in Thread] |
- [6433] dir-entry-to-subdir.sh test,
Gavin D. Smith <=